Subject: Re: Autoconf's suggestion to use bash as /bin/sh
From: "Cliff Hones" <[email-masked]>
To: "Cygwin Users" <[email-masked]>
Date: Fri, 22 Jun 2001 09:36:18 +0100

Earnie Boyd wrote:
> I suppose Cliff Hones had a question and wasn't just posting to be
> posting and I assume the hidden question to be "Why does Cygwin not use
> bash as sh?" and that is covered in the FAQ.  However, once upon a time
> a long time ago Cygwin did use bash as sh.  It was discovered that
> scripts and software builds would happen more quickly if ash was used as
> sh.  So the next release of Cygwin after the discovery included ash as
> sh.  This doesn't prevent you from using it now, simply `cp
> /bin/bash.exe /bin/sh.exe' and you'll be compliant with the autoconf
> suggestion.  However, you would have slowed down the functioning of
> Cygwin scripts and package builds.

I didn't really mean to be asking a hidden question.  Indeed I have
wondered why Cygwin uses ash for sh, and many thanks for the
explanation.  BTW, I couldn't find it in the FAQ - and I've just
looked at all occurrences of bash (of which there are many!).

My main reason for posting was simply the conflicting advice; given
the frequent comments of "you shouldn't suggest that" when people
raise the issue of copying or linking bash to sh, it seemed odd that a
Red Hat document should be doing just that.

And finally, maybe it would help if the "don't do that"
messages gave a reason why it shouldn't be done,
or at least a reference.  The more understanding, the fewer
posts we'll see.  [My guess is that the reason is the usual
one - it's far easier to help people with problems if they
have a full standard installation.]

-- Cliff

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple